# sc::RefSCDimension Class Reference

The RefSCDimension class is a smart pointer to an SCDimension specialization. More...

`#include <dim.h>`

Inheritance diagram for sc::RefSCDimension:

List of all members.

## Public Member Functions

| RefSCDimension ()
| Initializes the dimension pointer to 0.
| RefSCDimension (const RefSCDimension &d)
| Make this and d refer to the same SCDimension.
| RefSCDimension (SCDimension *d)
| Make this refer to d.
RefSCDimension & | operator= (SCDimension *d)
| Make this refer to d.
RefSCDimension & | operator<< (RefCount *)
| Assigns to the given base class pointer using dynamic_cast.
RefSCDimension & | operator<< (const RefBase &)
| Assignment to the object that a references using dynamic_cast.
RefSCDimension & | operator= (const RefSCDimension &d)
| Make this and d refer to the same SCDimension.
| operator int () const
| Return the dimension.
int | n () const
void | print (std::ostream &o=ExEnv::out0()) const

## Detailed Description

The RefSCDimension class is a smart pointer to an SCDimension specialization.

## Constructor & Destructor Documentation

sc::RefSCDimension::RefSCDimension | ( |  | ) |

Initializes the dimension pointer to 0.

The reference must be initialized before it is used.

## Member Function Documentation

RefSCDimension& sc::RefSCDimension::operator<< | ( | RefCount * | a | ) |

Assigns to the given base class pointer using dynamic_cast.

If the dynamic_cast fails and the argument is nonnull and has a reference count of zero, then it is deleted.

Reimplemented from sc::Ref< SCDimension >.

The documentation for this class was generated from the following file:

- dim.h